package main

import (
	"fmt"

	"github.com/aws/aws-sdk-go-v2/aws"
)

type endpointResolver struct {
	region string
}

func (e endpointResolver) ResolveEndpoint(service, _ string, options ...interface{}) (aws.Endpoint, error) {
	if service != `SQS` {
		return aws.Endpoint{}, fmt.Errorf("trying to resolve non-SQS service: %s", service)
	}
	ep := aws.Endpoint{
		URL:               "http://localhost:4566/",
		HostnameImmutable: false,
		PartitionID:       "000000000000",
		SigningName:       "",
		SigningRegion:     e.region,
		SigningMethod:     "",
		Source:            0,
	}
	return ep, nil
}
